Get Investments
curl --request POST \
--url https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments \
--header 'Content-Type: application/json' \
--data '
{
"MostRecentCached": "true"
}
'import requests
url = "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments"
payload = { "MostRecentCached": "true" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({MostRecentCached: 'true'})
};
fetch('https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Investments": [
{}
],
"Message": "<string>"
}{
"Title": "<string>",
"Message": "<string>",
"HttpStatusCode": 123
}Investment Account Linking
/Investments
deprecated
POST
/
v3
/
{customerId}
/
Investments
Get Investments
The Investments product will be retired on April 30, 2026. New integrations are not supported, and existing integrations will stop working after this date.
Path Parameters
Unique GUID provided by Flinks that grants you access to the environment specified in the instance field. By default, the value is the key for the toolbox environment.
Body
application/json
Was this page helpful?
⌘I